Skip to main content
GET
List autoramp transactions

Authorizations

X-API-Key
string
header
required

API Key

Headers

X-SUB-PARTNER-ID
string

Optional sub-partner UUID, if provided, the autoramps will be filtered for the sub-partner

X-API-Version
string

Selects the API version for this request, as an ISO date (YYYY-MM-DD). Omit to use the default version (2025-03-13). Supported versions: 2025-03-13, 2026-07-01.

Query Parameters

autoramp_id
string<uuid>

Optional autoramp ID

customer_id
string<uuid>

Optional customer ID

cursor
string<uuid>

Paging: the cursor field from previous page

prev_cursor
string<uuid>

Paging: the cursor field for backward pagination

page_size
integer<uint32>
default:10

Paging: the requested page size

Required range: x <= 500
search_term
string

A search term to filter the transactions (searches bank account name, provider, wallet address, transaction ID, deposit transaction hash)

Maximum string length: 256
ramp_type
enum<string>

Type of the autoramp (onramp, offramp or crypto-to-crypto swap) Autoramp type

The type (onramp, offramp, swap) of an autoramp

Available options:
Onramp,
Offramp,
Swap,
Mint,
Redeem
from_date
string<date-time>

Filter by start date (inclusive). Only transactions created on or after this date will be returned.

to_date
string<date-time>

Filter by end date (inclusive). Only transactions created on or before this date will be returned.

status
enum<string>[]

Filter by transaction status. Multiple statuses can be provided as comma-separated values.

Autoramp Transaction Status

The status of the autoramp transaction

Available options:
FundsReviewInProgress,
ConversionInProgress,
PayoutInProgress,
Completed,
Failed,
RejectedAml,
RejectedFraud,
RejectedMinAmount
sort_order
enum<string>

Sort order for results. "asc" for oldest first, "desc" for newest first (default).

Available options:
asc,
desc
is_batch_payout
boolean

Filter by batch payout flag. If true, only batch payout transactions are returned. If false, only non-batch payout. If omitted, all transactions are returned.

Response

Autoramp Transaction List

PagedList

A list of items with cursors used to fetch the next or previous page

items
AutorampTransaction · object[]
required

The list of items

cursor
string<uuid>

The cursor used to fetch the next page

prev_cursor
string<uuid>

The cursor used to fetch the previous page